aboutsummaryrefslogtreecommitdiffstats
path: root/main/iproute2/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2010-11-23 08:13:43 +0200
committerTimo Teräs <timo.teras@iki.fi>2010-11-23 08:14:54 +0200
commit51b280ff06c588e61afcf97b8d58d0d2904b2dfc (patch)
tree73277b0308baa30d2172b5564c271fb382730722 /main/iproute2/APKBUILD
parent0bd949f2206eddafb94f3f63022851b9a355a4b4 (diff)
downloadaports-51b280ff06c588e61afcf97b8d58d0d2904b2dfc.tar.gz
aports-51b280ff06c588e61afcf97b8d58d0d2904b2dfc.tar.bz2
aports-51b280ff06c588e61afcf97b8d58d0d2904b2dfc.tar.xz
main/iproute2: apply patches from upstream for 2.6.35.1 release
This fixes a nasty bug causing "ip route get" to not work properly.
Diffstat (limited to 'main/iproute2/APKBUILD')
-rw-r--r--main/iproute2/APKBUILD18
1 files changed, 15 insertions, 3 deletions
diff --git a/main/iproute2/APKBUILD b/main/iproute2/APKBUILD
index 2ebb7a0a23..5d1b992134 100644
--- a/main/iproute2/APKBUILD
+++ b/main/iproute2/APKBUILD
@@ -2,7 +2,7 @@
pkgname=iproute2
pkgver=2.6.35
_realver=$pkgver
-pkgrel=1
+pkgrel=2
pkgdesc="IP Routing Utilities"
url="http://www.linux-foundation.org/en/Net:Iproute2"
license="GPL2"
@@ -10,11 +10,20 @@ depends=
install="$pkgname.post-install $pkgname.post-deinstall"
makedepends="bison flex bash"
subpackages="$pkgname-doc"
-source="http://devresources.linux-foundation.org/dev/iproute2/download/$pkgname-$_realver.tar.bz2"
+source="http://devresources.linux-foundation.org/dev/iproute2/download/$pkgname-$_realver.tar.bz2
+ 0001-iproute2-Fix-filtering-related-to-flushing-IP-addres.patch
+ 0002-iproute2-dont-filter-cached-routes-on-iproute_get.patch
+ 0003-Snapshot-for-2.6.35.1.patch
+ "
prepare() {
cd "$srcdir"/$pkgname-$_realver
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 -i $i || return 1
+ done
+
sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h || return 1
sed -i 's:=/share:=/usr/share:' Makefile || return 1
@@ -31,4 +40,7 @@ package() {
make -j1 DESTDIR="$pkgdir" install
}
-md5sums="b0f281b3124bf04669e18f5fe16d4934 iproute2-2.6.35.tar.bz2"
+md5sums="b0f281b3124bf04669e18f5fe16d4934 iproute2-2.6.35.tar.bz2
+50992f46dd2a75ececdc5e54309e6b25 0001-iproute2-Fix-filtering-related-to-flushing-IP-addres.patch
+dbe155ebdb22fb2b30635c0bd2431c5b 0002-iproute2-dont-filter-cached-routes-on-iproute_get.patch
+084c0ee27a955d448705bbe51b70dc11 0003-Snapshot-for-2.6.35.1.patch"